diff --git a/Rakefile b/Rakefile
index 9f5959cd8..e935b0c74 100644
--- a/Rakefile
+++ b/Rakefile
@@ -25,6 +25,23 @@ Rake::TestTask.new(:smoke) do |t|
   t.description = "Run live-claude smoke tests (real subprocess; ~$0.25/run)"
 end
 
+namespace :release do
+  desc "Fail unless the current git tag matches Hive::VERSION"
+  task :version_check do
+    require "hive"
+    tag = `git describe --tags --exact-match 2>/dev/null`.strip
+    abort "not on a tag" if tag.empty?
+    abort "tag #{tag} does not match Hive::VERSION #{Hive::VERSION}" unless tag == "v#{Hive::VERSION}"
+    puts "version #{Hive::VERSION} matches tag #{tag}"
+  end
+
+  desc "Verify SHA256SUMS against the packed dist/ tarballs"
+  task :checksums do
+    sh "packaging/assemble.sh"
+    sh "cd dist && sha256sum -c SHA256SUMS"
+  end
+end
+
 namespace :e2e do
   Rake::TestTask.new(:lib_test) do |t|
     t.libs << "test"
diff --git a/bin/hive b/bin/hive
index bfd53884b..2e9097707 100755
--- a/bin/hive
+++ b/bin/hive
@@ -2,36 +2,6 @@
 
 $LOAD_PATH.unshift(File.expand_path("../lib", __dir__))
 
-require "hive"
-require "hive/cli"
+require "hive/cli_entry"
 
-if ARGV == [ "--version" ] || ARGV == [ "-v" ]
-  puts Hive::VERSION
-  exit 0
-end
-
-# Thor only honours `--help` *before* the subcommand name (`hive help approve`);
-# `hive approve --help` would be consumed as the TARGET positional. Intercept
-# the help flag before Thor dispatch so the convention agents try first works.
-def rewrite_help_flag!(argv)
-  return if argv.empty?
-
-  cmd_idx = argv.index { |a| !a.start_with?("-") }
-  return unless cmd_idx
-
-  help_idx = argv[(cmd_idx + 1)..]&.index { |a| a == "--help" || a == "-h" }
-  return unless help_idx
-
-  cmd = argv.delete_at(cmd_idx)
-  argv.delete_at(cmd_idx + help_idx)
-  argv.unshift("help", cmd)
-end
-
-rewrite_help_flag!(ARGV)
-
-begin
-  Hive::CLI.start(ARGV)
-rescue Hive::Error => e
-  warn "hive: #{e.message}"
-  exit(e.respond_to?(:exit_code) ? e.exit_code : 1)
-end
+Hive::CliEntry.run!(ARGV)
diff --git a/bin/hv b/bin/hv
new file mode 100755
index 000000000..cdde33593
--- /dev/null
+++ b/bin/hv
@@ -0,0 +1,12 @@
+#!/usr/bin/env ruby
+
+# Conflict-safe alias for `hive`. Used when a foreign `hive` binary (e.g.
+# Apache Hive) already owns the name on PATH; the installer installs the
+# command as `hv` instead and records the fallback. `hv` dispatches the
+# exact same Thor CLI.
+
+$LOAD_PATH.unshift(File.expand_path("../lib", __dir__))
+
+require "hive/cli_entry"
+
+Hive::CliEntry.run!(ARGV)
diff --git a/examples/systemd/hive-bot.service b/examples/systemd/hive-bot.service
index 12c213e2f..83eeed365 100644
--- a/examples/systemd/hive-bot.service
+++ b/examples/systemd/hive-bot.service
@@ -5,11 +5,10 @@ Wants=network-online.target
 
 [Service]
 Type=simple
-WorkingDirectory=%h/Dev/hive
-Environment=HIVE_HOME=%h/Dev/hive
+WorkingDirectory=%h/.config/hive
 Environment=HIVE_TELEGRAM_BOT_TOKEN=replace-with-botfather-token
-ExecStart=%h/Dev/hive/bin/hive bot start
-ExecStop=%h/Dev/hive/bin/hive bot stop
+ExecStart=%h/.local/bin/hive bot start
+ExecStop=%h/.local/bin/hive bot stop
 Restart=on-failure
 RestartSec=10
 
diff --git a/examples/systemd/hive-daemon.service b/examples/systemd/hive-daemon.service
index 2a60ebd47..463a54227 100644
--- a/examples/systemd/hive-daemon.service
+++ b/examples/systemd/hive-daemon.service
@@ -1,12 +1,13 @@
 # Sample systemd-user unit for `hive daemon` (Linux).
 #
-# BEFORE INSTALLING: edit ExecStart= to match where YOUR `hive` binary
-# lives. `which hive` shows it. Common paths:
+# NOTE: `hive init` now generates this unit automatically (Hive::Service)
+# with the resolved absolute binary path and XDG log locations. This file is
+# kept as a readable reference of the generated shape.
 #
-#   %h/.local/bin/hive                           ← README install (option-A
-#                                                  symlink: ln -s ~/Dev/hive/bin/hive ~/.local/bin/hive)
-#   %h/Dev/hive/bin/hive                         ← README install (option-B,
-#                                                  direct from clone, no symlink)
+# BEFORE INSTALLING BY HAND: edit ExecStart= to match where YOUR `hive`
+# binary lives. `which hive` shows it. Common paths:
+#
+#   %h/.local/bin/hive                           ← packaged install (brew/AUR/install.sh)
 #   /usr/local/bin/hive                          ← system gem install
 #   %h/.local/share/mise/shims/hive              ← mise / rbenv / asdf / chruby shim
 #
diff --git a/install.sh b/install.sh
new file mode 100644
index 000000000..53d807874
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,217 @@
+#!/bin/sh
+# hive install.sh — bash one-liner installer (plan: install/packaging U8).
+#
+#   curl -fsSL https://github.com/ivankuznetsov/hive/releases/latest/download/install.sh | bash
+#
+# Detects OS/arch, selects the right self-contained U1 binary, verifies its
+# SHA256 checksum against the published SHA256SUMS (fail-closed), and drops it
+# under XDG paths. No sudo, no curl-to-root. Records the `bash` install channel
+# and prints the runtime-dependency report (U5) + a `hive init` hint.
+#
+# Environment overrides:
+#   HIVE_BIN_DIR        where to install the binary (default ~/.local/bin)
+#   HIVE_VERSION        pin a specific release (default: latest)
+#   HIVE_INSTALL_BASE   base URL for artifacts (default: GitHub Releases)
+
+set -eu
+
+# --- defaults & overrides ---------------------------------------------------
+DEFAULT_BASE="https://github.com/ivankuznetsov/hive/releases"
+BASE_URL="${HIVE_INSTALL_BASE:-${DEFAULT_BASE}}"
+VERSION="${HIVE_VERSION:-latest}"
+BIN_DIR="${HIVE_BIN_DIR:-}"
+
+# --- OS / arch detection → tier-1 artifact ----------------------------------
+os="$(uname -s)"
+arch="$(uname -m)"
+
+case "${os}" in
+  Darwin) os_id="macos" ;;
+  Linux)  os_id="linux" ;;
+  *)
+    echo "hive: unsupported OS '${os}' (tier-1: macOS arm64 / Linux x86_64 glibc)" >&2
+    exit 1
+    ;;
+esac
+
+# --- distro detection (for per-OS dependency hints) -------------------------
+# `os_id` stays macos/linux for artifact selection; `distro_id` refines the
+# Linux side to ubuntu/arch so the dependency report's install hints match
+# Hive::Dependencies' per-OS contract instead of hardcoding brew for everyone.
+distro_id="${os_id}"
+if [ "${os_id}" = "linux" ]; then
+  if [ -f /etc/os-release ]; then
+    id_value="$(sed -n 's/^ID=//p' /etc/os-release | head -n 1 | tr -d '"')"
+    case "${id_value}" in
+      arch|manjaro|endeavouros) distro_id="arch" ;;
+      ubuntu|debian|linuxmint|pop) distro_id="ubuntu" ;;
+    esac
+  fi
+fi
+
+case "${os_id}/${arch}" in
+  macos/arm64)         target="hive-macos-arm64" ;;
+  linux/x86_64)        target="hive-linux-x86_64-glibc" ;;
+  *)
+    echo "hive: unsupported arch '${os_id}/${arch}' (tier-1: macOS arm64 / Linux x86_64)" >&2
+    exit 1
+    ;;
+esac
+
+# --- install location -------------------------------------------------------
+if [ -z "${BIN_DIR}" ]; then
+  if [ -d "${HOME}/.local/bin" ]; then
+    BIN_DIR="${HOME}/.local/bin"
+  else
+    BIN_DIR="${HOME}/.local/bin"
+    mkdir -p "${BIN_DIR}"
+  fi
+fi
+mkdir -p "${BIN_DIR}"
+
+# --- conflict detection: hive vs hv -----------------------------------------
+# If a foreign `hive` already owns the name on PATH (and it is not the binary
+# we are about to install), install ours as `hv` and record the fallback.
+cmd_name="hive"
+if command -v hive >/dev/null 2>&1; then
+  existing="$(command -v hive)"
+  if [ "${existing}" != "${BIN_DIR}/hive" ]; then
+    echo "hive: a different 'hive' is already on PATH (${existing}); installing as 'hv'" >&2
+    cmd_name="hv"
+  fi
+fi
+dest="${BIN_DIR}/${cmd_name}"
+
+# --- runtime-dependency report (U5) -----------------------------------------
+report_dependencies() {
+  echo ""
+  echo "hive: checking required runtime tools (report only — nothing is auto-installed):"
+  for tool in git bash claude gh jq; do
+    if command -v "${tool}" >/dev/null 2>&1; then
+      echo "  ✓ ${tool} found"
+    else
+      hint=""
+      case "${tool}" in
+        git)
+          case "${distro_id}" in
+            macos)  hint="brew install git" ;;
+            ubuntu) hint="sudo apt install git" ;;
+            arch)   hint="sudo pacman -S git" ;;
+            *)      hint="install git (see https://git-scm.com/downloads)" ;;
+          esac ;;
+        bash)
+          case "${distro_id}" in
+            macos)  hint="brew install bash" ;;
+            ubuntu) hint="sudo apt install bash" ;;
+            arch)   hint="sudo pacman -S bash" ;;
+            *)      hint="install bash" ;;
+          esac ;;
+        claude)
+          case "${distro_id}" in
+            macos) hint="brew install claude-code  (or: npm install -g @anthropic-ai/claude-code)" ;;
+            *)     hint="npm install -g @anthropic-ai/claude-code" ;;
+          esac ;;
+        gh)
+          case "${distro_id}" in
+            macos)  hint="brew install gh" ;;
+            ubuntu) hint="sudo apt install gh  (see https://cli.github.com for the apt repo)" ;;
+            arch)   hint="sudo pacman -S github-cli" ;;
+            *)      hint="install gh (see https://cli.github.com)" ;;
+          esac ;;
+        jq)
+          case "${distro_id}" in
+            macos)  hint="brew install jq" ;;
+            ubuntu) hint="sudo apt install jq" ;;
+            arch)   hint="sudo pacman -S jq" ;;
+            *)      hint="install jq (see https://jqlang.github.io/jq)" ;;
+          esac ;;
+      esac
+      echo "  ✗ ${tool} missing — ${hint}"
+    fi
+  done
+}
+
+# Dry-run: resolve the plan + report dependencies without downloading. Useful
+# for CI and for `hive update`'s re-run path to surface dependency status.
+if [ "${HIVE_INSTALL_DRY_RUN:-}" = "1" ]; then
+  echo "hive: dry-run — os=${os_id} arch=${arch} target=${target}"
+  echo "hive: would install ${cmd_name} to ${dest}"
+  report_dependencies
+  exit 0
+fi
+
+# --- download + checksum verify (fail-closed) ------------------------------
+tmpdir="$(mktemp -d)"
+trap 'rm -rf "${tmpdir}"' EXIT
+
+checksum_tool="sha256sum"
+if command -v sha256sum >/dev/null 2>&1; then
+  checksum_tool="sha256sum"
+elif command -v shasum >/dev/null 2>&1; then
+  checksum_tool="shasum -a 256"
+else
+  echo "hive: neither sha256sum nor shasum found; cannot verify integrity. Aborting." >&2
+  exit 1
+fi
+
+fetch() {
+  url="$1"; out="$2"
+  if command -v curl >/dev/null 2>&1; then
+    curl -fsSL "${url}" -o "${out}"
+  elif command -v wget >/dev/null 2>&1; then
+    wget -q -O "${out}" "${url}"
+  else
+    echo "hive: neither curl nor wget found; cannot download. Aborting." >&2
+    exit 1
+  fi
+}
+
+echo "hive: downloading ${target} (version ${VERSION})..."
+fetch "${BASE_URL}/${VERSION}/download/${target}.tar.gz" "${tmpdir}/${target}.tar.gz"
+fetch "${BASE_URL}/${VERSION}/download/SHA256SUMS" "${tmpdir}/SHA256SUMS"
+
+# Verify the tarball's checksum against the published list. Fail closed: a
+# mismatch (corrupted download or tampered artifact) aborts with non-zero.
+expected="$(awk -v f="${target}.tar.gz" '$2 == f { print $1 }' "${tmpdir}/SHA256SUMS")"
+if [ -z "${expected}" ]; then
+  echo "hive: ${target}.tar.gz not listed in SHA256SUMS; refusing to install" >&2
+  exit 1
+fi
+
+actual="$(cd "${tmpdir}" && ${checksum_tool} "${target}.tar.gz" | awk '{ print $1 }')"
+if [ "${actual}" != "${expected}" ]; then
+  echo "hive: checksum mismatch for ${target}.tar.gz" >&2
+  echo "  expected ${expected}" >&2
+  echo "  actual   ${actual}" >&2
+  echo "  refusing to install (see SECURITY.md for the release-signing key)" >&2
+  exit 1
+fi
+echo "hive: checksum verified (${actual})"
+
+# --- extract + install ------------------------------------------------------
+tar -xzf "${tmpdir}/${target}.tar.gz" -C "${tmpdir}"
+install -m 0755 "${tmpdir}/hive" "${dest}"
+echo "hive: installed ${dest}"
+
+# --- record the install channel + command name ------------------------------
+config_dir="${HIVE_HOME:-${XDG_CONFIG_HOME:-${HOME}/.config}/hive}"
+mkdir -p "${config_dir}"
+printf 'bash\n' > "${config_dir}/install-channel"
+# The conflict-fallback name (`hv` when a foreign `hive` owns the PATH slot) is
+# recorded so `hive uninstall` / `hive update` resolve the binary that was
+# actually installed rather than assuming `hive`.
+printf '%s\n' "${cmd_name}" > "${config_dir}/command-name"
+
+# --- PATH guidance ----------------------------------------------------------
+case ":${PATH}:" in
+  *":${BIN_DIR}:"*) ;;
+  *) echo "hive: note: ${BIN_DIR} is not on PATH; add it (e.g. export PATH=\"${BIN_DIR}:\$PATH\")" >&2 ;;
+esac
+
+
+report_dependencies
+
+echo ""
+echo "hive: installed. Verify with:"
+echo "  ${cmd_name} --version"
+echo "  ${cmd_name} init .   # inside a project to attach hive"
diff --git a/lib/hive/cli.rb b/lib/hive/cli.rb
index 9bc60cb8c..072069313 100644
--- a/lib/hive/cli.rb
+++ b/lib/hive/cli.rb
@@ -25,6 +25,13 @@ module Hive
     end
     map "--version" => :version
 
+    desc "ffi-check", "Internal: verify the Charm FFI shared libraries (bubbletea/lipgloss) load; used by packaging/build.sh"
+    def ffi_check
+      require "bubbletea"
+      require "lipgloss"
+      puts "ffi-ok"
+    end
+
     desc "init [PROJECT_PATH]", "Bootstrap .hive-state (orphan hive/state branch); TTY-prompts for agents + limits"
     long_desc <<~DESC
       Initialises hive in PROJECT_PATH (defaults to the current directory):
@@ -70,7 +77,7 @@ module Hive
 
     desc "forget NAME", "Remove a project from the global registry (inverse of `hive init`)"
     long_desc <<~DESC
-      Drops the entry whose `name` matches NAME from ~/Dev/hive/config.yml.
+      Drops the entry whose `name` matches NAME from ~/.config/hive/config.yml.
       The project's .hive-state directory on disk (if any) is left alone.
 
       An unknown name is a USAGE error (64), mirroring `hive metrics
@@ -94,7 +101,7 @@ module Hive
 
     desc "prune", "Drop registry entries whose project path no longer exists"
     long_desc <<~DESC
-      Walks ~/Dev/hive/config.yml and removes every `registered_projects`
+      Walks ~/.config/hive/config.yml and removes every `registered_projects`
       entry whose `path` is not a directory on disk OR whose row shape is
       invalid (non-Hash, missing `path`, etc. — hand-edit accidents).
       Useful after running `hive init` against `mktemp -d` directories
@@ -120,6 +127,44 @@ module Hive
       Hive::Commands::Prune.new(dry_run: options[:dry_run], json: options[:json]).call
     end
 
+    desc "update", "Update hive via its native package manager (brew / AUR / bash one-liner)"
+    long_desc <<~DESC
+      Detects the install channel recorded at install time
+      (~/.config/hive/install-channel) and shells out to the updater that
+      owns the binary: `brew upgrade hive`, `yay -Syu hive-bin`, or a re-run
+      of the install.sh one-liner for bash installs. Hive never rewrites its
+      own binary in place (R-UPD) — the native package manager is the source
+      of truth.
+
+      Exit codes: 0 success; 1 unknown/unrecorded install channel; 70
+      internal error.
+    DESC
+    def update
+      require "hive/commands/update"
+      Hive::Commands::Update.new(json: options[:json]).call
+    end
+
+    desc "uninstall", "Remove hive (binary, daemon service, global config, and project state)"
+    long_desc <<~DESC
+      Removes the daemon service registration, the installed binary (per
+      channel), the global config + install-channel record, and each
+      registered project's `.hive-state/` directory.
+
+      Completed work is preserved: `.hive-state/stages/8-done/` is left in
+      place. Interactive mode prompts before deleting anything and per
+      project; `--purge` is the non-interactive CI path (no prompts, still
+      preserves completed pipeline outputs).
+
+      The skills package (installed via each agent's marketplace) is NOT
+      touched — remove it from the marketplace directly.
+    DESC
+    option :purge, type: :boolean, default: false,
+                   desc: "non-interactive: remove without prompting (preserves completed work)"
+    def uninstall
+      require "hive/commands/uninstall"
+      Hive::Commands::Uninstall.new(json: options[:json], purge: options[:purge]).call
+    end
+
     desc "doctor", "Verify each stage's configured skill is installed for its agent"
     long_desc <<~DESC
       Walks the brainstorm and plan stage configs and asks the
@@ -595,7 +640,7 @@ module Hive
                                           --json emits hive-bot-reload.v1.
         tail                              Stream bot.log.
 
-      The bot reads the global `bot:` block from ~/Dev/hive/config.yml.
+      The bot reads the global `bot:` block from ~/.config/hive/config.yml.
       Its Telegram token comes only from HIVE_TELEGRAM_BOT_TOKEN. Incoming
       updates from chat IDs outside bot.chat_id_allowlist are ignored.
 
diff --git a/lib/hive/cli_entry.rb b/lib/hive/cli_entry.rb
new file mode 100644
index 000000000..352f0ec25
--- /dev/null
+++ b/lib/hive/cli_entry.rb
@@ -0,0 +1,46 @@
+# frozen_string_literal: true
+
+require "hive"
+require "hive/cli"
+
+module Hive
+  # Shared entry point for the `hive` and `hv` executables (plan:
+  # install/packaging U3). `hv` is the conflict-safe command name used when a
+  # foreign `hive` binary (e.g. Apache Hive) already owns the name on PATH;
+  # both dispatchers funnel into the exact same Thor CLI here.
+  module CliEntry
+    module_function
+
+    def run!(argv)
+      if argv == [ "--version" ] || argv == [ "-v" ]
+        puts Hive::VERSION
+        exit 0
+      end
+
+      rewrite_help_flag!(argv)
+
+      Hive::CLI.start(argv)
+    rescue Hive::Error => e
+      warn "hive: #{e.message}"
+      exit(e.respond_to?(:exit_code) ? e.exit_code : 1)
+    end
+
+    # Thor only honours `--help` *before* the subcommand name (`hive help
+    # approve`); `hive approve --help` would be consumed as the TARGET
+    # positional. Intercept the help flag before Thor dispatch so the
+    # convention agents try first works.
+    def rewrite_help_flag!(argv)
+      return if argv.empty?
+
+      cmd_idx = argv.index { |a| !a.start_with?("-") }
+      return unless cmd_idx
+
+      help_idx = argv[(cmd_idx + 1)..]&.index { |a| a == "--help" || a == "-h" }
+      return unless help_idx
+
+      cmd = argv.delete_at(cmd_idx)
+      argv.delete_at(cmd_idx + help_idx)
+      argv.unshift("help", cmd)
+    end
+  end
+end
diff --git a/lib/hive/commands/bot.rb b/lib/hive/commands/bot.rb
index 7b88a6e20..cda8001b0 100644
--- a/lib/hive/commands/bot.rb
+++ b/lib/hive/commands/bot.rb
@@ -42,17 +42,18 @@ module Hive
       end
 
       def pid_file
-        File.expand_path(bot_config.fetch("pid_file", File.join(@hive_home, ".bot.pid")))
+        File.expand_path(bot_config.fetch("pid_file", File.join(Hive::Paths.state_dir, ".bot.pid")))
       end
 
       def log_file
-        File.expand_path(bot_config.fetch("log_file", File.join(@hive_home, "logs", "bot.log")))
+        File.expand_path(bot_config.fetch("log_file", File.join(Hive::Paths.state_dir, "logs", "bot.log")))
       end
 
       private
 
       def start_bot
         FileUtils.mkdir_p(@hive_home)
+        FileUtils.mkdir_p(Hive::Paths.state_dir)
         FileUtils.mkdir_p(File.dirname(pid_file))
         FileUtils.mkdir_p(File.dirname(log_file))
 
diff --git a/lib/hive/commands/daemon.rb b/lib/hive/commands/daemon.rb
index f88bca6fd..0d4164f06 100644
--- a/lib/hive/commands/daemon.rb
+++ b/lib/hive/commands/daemon.rb
@@ -3,6 +3,7 @@ require "json"
 require "time"
 require "yaml"
 require "hive/config"
+require "hive/service"
 require "hive/lock"
 require "hive/daemon/dispatcher"
 require "hive/daemon/concurrency_controller"
@@ -72,18 +73,29 @@ module Hive
       end
 
       def pid_file
-        @pid_file ||= File.join(@hive_home, ".daemon.pid")
+        @pid_file ||= File.join(Hive::Paths.state_dir, ".daemon.pid")
       end
 
       def log_file
-        @log_file ||= File.join(@hive_home, "logs", "daemon.log")
+        @log_file ||= File.join(Hive::Paths.state_dir, "logs", "daemon.log")
       end
 
       private
 
       def start_daemon
         warn_unsupported_json_flag if @json
+
+        # OS-service path: when a service is registered and this process is
+        # NOT the supervisor's job body, delegate the start to launchctl /
+        # systemctl rather than running the dispatcher loop here.
+        if !Hive::Service.supervised? && Hive::Service.registered?
+          Hive::Service.start!
+          puts "hive daemon: start requested via #{Hive::Service.service_name}"
+          return
+        end
+
         FileUtils.mkdir_p(@hive_home)
+        FileUtils.mkdir_p(Hive::Paths.state_dir)
         FileUtils.mkdir_p(File.dirname(log_file))
 
         # Single-instance check: if a live daemon already owns the PID
@@ -123,7 +135,7 @@ module Hive
         # process that happens to have the same PID. PR-40 review P2 #3.
         File.write(pid_file, pid_file_payload(Process.pid, own_start_time).to_yaml)
 
-        # Load the daemon block from ~/Dev/hive/config.yml so operator
+        # Load the daemon block from ~/.config/hive/config.yml so operator
         # overrides (max_concurrent_runs, poll_interval_sec, log paths,
         # etc.) actually take effect. PR-40 review P1 #2: this used to
         # call merge_defaults({}) which discarded the global config.
@@ -169,6 +181,18 @@ module Hive
       end
 
       def stop_daemon
+        # OS-service path: delegate to the supervisor when a service is
+        # registered (the supervisor owns start/stop of the job body).
+        if Hive::Service.registered?
+          Hive::Service.stop!
+          if @json
+            puts JSON.generate(stop_envelope(running: false, was_running: true))
+          else
+            puts "hive daemon: stop requested via #{Hive::Service.service_name}"
+          end
+          return
+        end
+
         unless File.exist?(pid_file)
           if @json
             puts JSON.generate(stop_envelope(running: false, was_running: false))
@@ -234,8 +258,11 @@ module Hive
         end
 
         send_signal_safely(pid, :TERM)
-        # Wait up to shutdown_grace_sec for the daemon to exit
-        deadline = Time.now + 600
+        # Wait up to daemon.shutdown_grace_sec (config default 600) for the
+        # daemon to exit — the same window the dispatcher uses for graceful
+        # shutdown, not a hardcoded deadline.
+        grace_sec = Hive::Config.load_global_daemon.fetch("shutdown_grace_sec", 600)
+        deadline = Time.now + grace_sec
         while pid_alive?(pid) && Time.now < deadline
           sleep 0.5
         end
@@ -261,6 +288,11 @@ module Hive
       end
 
       def status_daemon
+        if Hive::Service.registered?
+          status_daemon_service
+          return
+        end
+
         running = false
         pid = nil
         uptime_sec = nil
@@ -295,6 +327,43 @@ module Hive
         raise Hive::Error, "daemon not running" unless running
       end
 
+      # Service-registered status. Emits the same hive-daemon-status envelope
+      # shape as the pid-file path so JSON consumers see an unchanged contract,
+      # with `running` derived from the supervisor and pid/uptime best-effort
+      # from the pid file the dispatcher still writes while supervised.
+      def status_daemon_service
+        running = Hive::Service.running?
+        pid = nil
+        uptime_sec = nil
+
+        if File.exist?(pid_file)
+          payload = read_pid_file_payload
+          pid = payload && payload["pid"]
+          if pid && pid > 0 && pid_alive?(pid)
+            stat = File.stat(pid_file)
+            uptime_sec = (Time.now - stat.mtime).to_i
+          end
+        end
+
+        if @json
+          puts JSON.generate(
+            "schema" => "hive-daemon-status",
+            "schema_version" => Hive::Schemas::SCHEMA_VERSIONS.fetch("hive-daemon-status"),
+            "ok" => true,
+            "running" => running,
+            "pid" => running ? pid : nil,
+            "uptime_sec" => running ? uptime_sec : nil,
+            "pid_file" => pid_file,
+            "log_file" => log_file
+          )
+        elsif running
+          puts "hive daemon: running (service #{Hive::Service.service_name}#{pid ? ", pid #{pid}" : ""})"
+        else
+          puts "hive daemon: not running (service #{Hive::Service.service_name})"
+        end
+        raise Hive::Error, "daemon not running" unless running
+      end
+
       def reload_daemon
         result = compute_reload_outcome
         if @json
diff --git a/lib/hive/commands/doctor.rb b/lib/hive/commands/doctor.rb
index 1b87c603c..6472a2391 100644
--- a/lib/hive/commands/doctor.rb
+++ b/lib/hive/commands/doctor.rb
@@ -2,6 +2,7 @@ require "json"
 
 require "hive"
 require "hive/config"
+require "hive/dependencies"
 require "hive/agent_profiles"
 require "hive/agent_profiles/claude"
 require "hive/agent_profiles/codex"
@@ -44,16 +45,17 @@ module Hive
       # JSON encoder. Returns `nil` before `#call` has populated it.
       attr_reader :rows
 
-      def initialize(config:, project_root:, json: false, output: $stdout)
+      def initialize(config:, project_root:, json: false, output: $stdout, dependencies: true)
         @config = config
         @project_root = project_root
         @json = json
         @output = output
+        @dependencies = dependencies
         @rows = nil
       end
 
       def call
-        @rows = check_tmux + check_stages + check_reviewers
+        @rows = check_dependencies + check_tmux + check_stages + check_reviewers
         if @json
           @output.puts JSON.generate(envelope(@rows))
         else
@@ -76,6 +78,15 @@ module Hive
         status == "missing" || status == "version_too_old"
       end
 
+      # Required runtime tools (git / bash / claude / gh / jq). Seeded from
+      # Hive::Dependencies so the human table and JSON envelope carry the
+      # same install hints as the install.sh preflight (U8). `hive init`'s
+      # non-fatal preflight passes `dependencies: false` so it stays fast and
+      # skill-only; the standalone `hive doctor` includes these by default.
+      def check_dependencies
+        @dependencies ? Hive::Dependencies.check : []
+      end
+
       def check_stages
         STAGES.map { |stage| check_stage(stage) }
       end
@@ -269,7 +280,9 @@ module Hive
         rows.each do |r|
           next if r[:status] == "present"
 
-          @output.puts "[#{r[:label]}/#{r[:agent]}] #{r[:message]}"
+          line = "[#{r[:label]}/#{r[:agent]}] #{r[:message]}"
+          line += " — #{r[:hint]}" if r[:hint]
+          @output.puts line
         end
       end
 
diff --git a/lib/hive/commands/forget.rb b/lib/hive/commands/forget.rb
index d2fbd014b..28aafda62 100644
--- a/lib/hive/commands/forget.rb
+++ b/lib/hive/commands/forget.rb
@@ -4,7 +4,7 @@ require "hive/config"
 module Hive
   module Commands
     # `hive forget NAME [--json]` — remove the entry whose `name` matches
-    # NAME from the global registry (~/Dev/hive/config.yml). The
+    # NAME from the global registry (~/.config/hive/config.yml). The
     # project's `.hive-state` directory on disk is not touched; the
     # registry and the on-disk state are independent.
     #
diff --git a/lib/hive/commands/init.rb b/lib/hive/commands/init.rb
index b86e8d610..06de8fe47 100644
--- a/lib/hive/commands/init.rb
+++ b/lib/hive/commands/init.rb
@@ -2,6 +2,7 @@ require "open3"
 require "fileutils"
 require "stringio"
 require "hive/config"
+require "hive/service"
 require "hive/git_ops"
 require "hive/commands/init/prompts"
 require "hive/commands/doctor"
@@ -45,9 +46,28 @@ module Hive
         entry = Hive::Config.register_project(name: File.basename(@project_path), path: @project_path)
 
         print_summary(entry: entry, ops: ops)
+        register_daemon_service(answers)
         run_init_preflight!
       end
 
+      # Register the daemon as an OS service after a successful init (plan:
+      # install/packaging U4). The unit file is written unconditionally — a
+      # successful `hive init` always leaves a registered service so
+      # `hive daemon status` can report on it. Enable + start only happen when
+      # the operator explicitly answered yes to the enable-and-start question
+      # in the prompt flow — never silent autostart. Non-interactive sessions
+      # and declined prompts leave the service registered but not
+      # enabled/started.
+      def register_daemon_service(answers)
+        return unless Hive::Service.supported?
+
+        Hive::Service.register! unless Hive::Service.registered?
+        return unless answers["daemon_service_enable_start"]
+
+        Hive::Service.enable!
+        Hive::Service.start!
+      end
+
       # Non-fatal skill preflight: after init succeeds, run the doctor
       # against the freshly-written config and emit stderr warnings for
       # any `:missing` rows. Init's exit code is unaffected — install
@@ -63,7 +83,8 @@ module Hive
         doctor = Hive::Commands::Doctor.new(
           config: cfg,
           project_root: @project_path,
-          output: StringIO.new
+          output: StringIO.new,
+          dependencies: false
         )
         exit_code = doctor.call
         if exit_code == Hive::Commands::Doctor::EXIT_CONFIG_ERROR
@@ -123,8 +144,8 @@ module Hive
       end
 
       def collect_prompt_answers
-        prompts = @prompts || Hive::Commands::Init::Prompts.new(input: $stdin, output: $stderr, summary_io: $stdout)
-        prompts.collect
+        @prompts ||= Hive::Commands::Init::Prompts.new(input: $stdin, output: $stderr, summary_io: $stdout)
+        @prompts.collect
       rescue Hive::Commands::Init::Prompts::Aborted => e
         # Distinct exit code (USAGE / 64) from generic crashes (GENERIC / 1)
         # so a scripted agent can tell "user explicitly declined" from
